import { Component } from '@angular/core';
import {NzTableComponent, NzTbodyComponent, NzTheadComponent, NzThMeasureDirective} from "ng-zorro-antd/table";
import {NzDividerComponent} from "ng-zorro-antd/divider";
import {NzFormDirective, NzFormModule} from "ng-zorro-antd/form";
import {NzColDirective, NzRowDirective} from "ng-zorro-antd/grid";
import {
  FormGroup,
  NonNullableFormBuilder,
  ReactiveFormsModule,
} from "@angular/forms";
import {NzButtonComponent} from "ng-zorro-antd/button";
import {NzIconDirective} from "ng-zorro-antd/icon";
import {NzInputDirective} from "ng-zorro-antd/input";
import {NzFlexDirective} from "ng-zorro-antd/flex";
import {DatePipe, NgForOf} from "@angular/common";
import {RoleService} from "../../../servies/role/role.service";
import {NzModalService} from "ng-zorro-antd/modal";
import {NzMessageService} from "ng-zorro-antd/message";

@Component({
  selector: 'app-sys-role',
  standalone: true,
  imports: [
    NzTableComponent,
    NzTheadComponent,
    NzDividerComponent,
    NzTbodyComponent,
    NzFormDirective,
    NzRowDirective,
    ReactiveFormsModule,
    NzColDirective,
    NzButtonComponent,
    NzIconDirective,
    NzInputDirective,
    NzFormModule,
    NzFlexDirective,
    NgForOf,
    DatePipe,
    NzThMeasureDirective,
  ],
  templateUrl: './sys-role.component.html',
  styleUrl: './sys-role.component.less'
})
export class SysRoleComponent {
  // 表单数据
  tableData: any = {
    total: 0,
    list: [],
  };

  searchForm: FormGroup;

  constructor(private fb: NonNullableFormBuilder,
              private roleService: RoleService,
              private message: NzMessageService) {
    // 初始化搜索框
    this.searchForm = this.fb.group({
      roleName: [''],
    });

    this.queryData(1);
  }

  /**
   * 获取数据
   */
  queryData(pageNum: number) {
    this.searchForm.value.pageNum = pageNum;
    this.searchForm.value.pageSize = 10;
    this.roleService.queryList(this.searchForm.value, (data: any) => {
      console.log(data);
      this.tableData = data['return_data'];

        if (data['return_code'] == '000000') {

        }
    });
  }

  /**
   * 搜索表单提交
   */
  searchFormSubmit(): void {
    this.queryData(1);
  }

  /**
   * 搜索表单重置
   */
  searchFormReset(): void {
    this.searchForm.reset();
  }

}
